org.sonatype.plexus.components.sec.dispatcher

## Class PasswordDecryptorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.sonatype.plexus.components.sec.dispatcher.PasswordDecryptorException

All Implemented Interfaces:
  java.io.Serializable

    public class PasswordDecryptorException
    extends java.lang.Exception

Version:
  $Id: PasswordDecryptorException.java 882 2009-02-12 22:04:10Z oleg $
Author:
  Oleg Gusakov
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PasswordDecryptorException()`
`PasswordDecryptorException(java.lang.String message)`
`PasswordDecryptorException(java.lang.String message, java.lang.Throwable cause)`
`PasswordDecryptorException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PasswordDecryptorException

    public PasswordDecryptorException()

#### PasswordDecryptorException

    public PasswordDecryptorException(java.lang.String message)

Parameters:
  `message` -

#### PasswordDecryptorException

    public PasswordDecryptorException(java.lang.Throwable cause)

Parameters:
  `cause` -

#### PasswordDecryptorException

    public PasswordDecryptorException(java.lang.String message,
                              java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -